Loading...
Searching...
No Matches
Opm::Xylene< Scalar > Class Template Reference

Component for Xylene. More...

`#include <Xylene.hpp>`

Inheritance diagram for Opm::Xylene< Scalar >:

## Static Public Member Functions

static std::string_view | name ()
| A human readable name for the xylene.
static Scalar | molarMass ()
| The molar mass in of xylene.
static Scalar | criticalTemperature ()
| Returns the critical temperature of xylene.
static Scalar | criticalPressure ()
| Returns the critical pressure of xylene.
static Scalar | tripleTemperature ()
| Returns the temperature at xylene's triple point.
static Scalar | triplePressure ()
| Returns the pressure at xylene's triple point.
template<class Evaluation>
static Evaluation | vaporPressure (const Evaluation &temperature)
| The saturation vapor pressure in of pure xylene at a given temperature according to Antoine after Betz 1997 -> Gmehling et al 1980.
template<class Evaluation>
static Evaluation | spHeatCapLiquidPhase (const Evaluation &temperature, const Evaluation &)
| Specific heat cap of liquid xylene .
template<class Evaluation>
static Evaluation | liquidEnthalpy (const Evaluation &temperature, const Evaluation &pressure)
| Specific enthalpy of the pure component in liquid.
static Scalar | boilingTemperature ()
| Returns the temperature at xylene's boiling point (1 atm).
template<class Evaluation>
static Evaluation | heatVap (Evaluation temperature, const Evaluation &)
| Latent heat of vaporization for xylene .
template<class Evaluation>
static Evaluation | gasEnthalpy (const Evaluation &temperature, const Evaluation &pressure)
| Specific enthalpy of the pure component in gas.
template<class Evaluation>
static Evaluation | gasDensity (const Evaluation &temperature, const Evaluation &pressure)
| The density in of the component at a given pressure in and temperature in .
template<class Evaluation>
static Evaluation | molarGasDensity (const Evaluation &temperature, const Evaluation &pressure)
| The density of xylene gas at a given pressure and temperature.
template<class Evaluation>
static Evaluation | molarLiquidDensity (Evaluation temperature, const Evaluation &)
| The molar density of pure xylene at a given pressure and temperature .
template<class Evaluation>
static Evaluation | liquidDensity (const Evaluation &temperature, const Evaluation &pressure)
| The density of the liquid component at a given pressure in and temperature in .
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
template<class Evaluation>
static Evaluation | gasViscosity (Evaluation temperature, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
template<class Evaluation>
static Evaluation | liquidViscosity (Evaluation temperature, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
Static Public Member Functions inherited from Opm::Component< Scalar, Xylene< Scalar > >
static void | init (Scalar, Scalar, unsigned, Scalar, Scalar, unsigned)
| A default routine for initialization, not needed for components and must not be called.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | acentricFactor ()
| Returns the acentric factor of the component.
static Scalar | criticalVolume ()
| Returns the critical volume in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.

## Additional Inherited Members

Public Types inherited from Opm::Component< Scalar, Xylene< Scalar > >
typedef Scalar | Scalar
Static Public Attributes inherited from Opm::Component< Scalar, Xylene< Scalar > >
static constexpr bool | isTabulated

## Detailed Description

template<class Scalar>
class Opm::Xylene< Scalar >

Component for Xylene.

Template Parameters

  Scalar | The type used for scalar values

## Member Function Documentation

## gasDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::gasDensity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The density in of the component at a given pressure in and temperature in .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::gasEnthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific enthalpy of the pure component in gas.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

The relation used here is true on the vapor pressure curve, i.e. as long as there is a liquid phase present.

## gasIsCompressible()

template<class Scalar>

bool Opm::Xylene< Scalar >::gasIsCompressible | ( |  | ) |

inline static

Returns true iff the gas phase is assumed to be compressible.

## gasIsIdeal()

template<class Scalar>

bool Opm::Xylene< Scalar >::gasIsIdeal | ( |  | ) |

inline static

Returns true iff the gas phase is assumed to be ideal.

## gasViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::gasViscosity | ( | Evaluation | temperature,
|  | const Evaluation & | )

inline static

The dynamic viscosity of the pure component at a given pressure in and temperature in .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## heatVap()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::heatVap | ( | Evaluation | temperature,
|  | const Evaluation & | )

inline static

Latent heat of vaporization for xylene .

source : Reid et al. (fourth edition): Chen method (chap. 7-11, Delta H_v = Delta H_v (T) according to chap. 7-12)

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::liquidDensity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The density of the liquid component at a given pressure in and temperature in .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::liquidEnthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific enthalpy of the pure component in liquid.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidIsCompressible()

template<class Scalar>

bool Opm::Xylene< Scalar >::liquidIsCompressible | ( |  | ) |

inline static

Returns true iff the liquid phase is assumed to be compressible.

## liquidViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::liquidViscosity | ( | Evaluation | temperature,
|  | const Evaluation & | )

inline static

The dynamic liquid viscosity of the pure component.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## molarGasDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::molarGasDensity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The density of xylene gas at a given pressure and temperature.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## molarLiquidDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::molarLiquidDensity | ( | Evaluation | temperature,
|  | const Evaluation & | )

inline static

The molar density of pure xylene at a given pressure and temperature .

source : Reid et al. (fourth edition): Modified Racket technique (chap. 3-11, eq. 3-11.9)

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## spHeatCapLiquidPhase()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::spHeatCapLiquidPhase | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

Specific heat cap of liquid xylene .

source : Reid et al. (fourth edition): Missenard group contrib. method (chap 5-7, Table 5-11, s. example 5-8)

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## vaporPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Xylene< Scalar >::vaporPressure | ( | const Evaluation & | temperature | ) |

inline static

The saturation vapor pressure in of pure xylene at a given temperature according to Antoine after Betz 1997 -> Gmehling et al 1980.

Parameters

  temperature | temperature of component in

The documentation for this class was generated from the following file:

- opm/material/components/Xylene.hpp